class TMCoreMarqueeWidgetHandler extends elementorModules.frontend.handlers.Base {
	getDefaultSettings() {
		return {
			selectors: {
				container: '.tmcore-elementor_marquee',
				inner: '.tmcore-marquee_inner',
				items: '.tmcore-marquee-original',
			},
		};
	}

	getDefaultElements() {
		const selectors = this.getSettings( 'selectors' );

		return {
			$container: this.$element.find( selectors.container ),
			$inner: this.$element.find( selectors.inner ),
			$items: this.$element.find( selectors.items ),
		};
	}

	dulicateItems() {
		const settings = this.getElementSettings(),
			  $inner = this.elements.$inner,
			  $items = this.elements.$items;

		
		$inner.imagesLoaded(function () {
			let item, amount = ( parseInt( Math.ceil( jQuery( window ).width() / $items.outerWidth( true ) ) ) || 0 ) + 1;
			$inner.css( '--tm-marquee-speed', settings.speed + 's' );

			for ( let i = 1; i <= amount - 2; i++ ) {
				item = $items.clone();
				item.addClass( 'tmcore-marquee-duplicate' );
				item.removeClass( 'tmcore-marquee-original' );
				item.css( '--tm-marquee-index', String(i+2) );

				item.appendTo( $inner );
			}
		});
	}

	onInit( args ) {
		super.onInit( args );
		this.dulicateItems();
	}
}

jQuery( window ).on( 'elementor/frontend/init', () => {
    elementorFrontend.hooks.addAction( 'frontend/element_ready/tmcore-marquee.default', ( $element ) => {
		elementorFrontend.elementsHandler.addHandler( TMCoreMarqueeWidgetHandler, { $element } );
	} );
});