<?php
/**
 * The template for displaying product widget entries.
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/content-widget-product.php.
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 */

defined( 'ABSPATH' ) || exit;

/** @var WC_Product $product */
global $product;

if ( ! is_a( $product, 'WC_Product' ) ) {
	return;
}

?>
<li class="product product-item">
		
	<?php do_action( 'tmcore_woocommerce_widget_product_item_start' ); ?>

	<div class="product-thumbnail">
		<a href="<?php echo esc_url( $product->get_permalink() ); ?>">
			<?php echo $product->get_image(); // PHPCS:Ignore WordPress.Security.EscapeOutput.OutputNotEscaped ?>
		</a>
	</div>
	<div class="product-details entry-content-wrap">
		
		<?php do_action( 'tmcore_woocommerce_widget_product_info_before' ); ?>

		<?php do_action( 'woocommerce_widget_product_item_start', $args ); ?>
		
		<h2 class="woocommerce-loop-product__title">
			<a href="<?php the_permalink(); ?>" class="woocommerce-LoopProduct-link-title woocommerce-loop-product__title_ink">
				<span class="product-title"><?php echo wp_kses_post( $product->get_name() ); ?></span>
			</a>
		</h2>
		
		<?php if ( ! empty( $args['show_rating'] ) ) : ?>
			<?php echo wp_kses_post( wc_get_rating_html( $product->get_average_rating() ) ); ?>
		<?php endif; ?>

		<?php echo $product->get_price_html(); ?>
		
		<?php do_action( 'woocommerce_widget_product_item_end', $args ); ?>

		<?php do_action( 'tmcore_woocommerce_widget_product_info_after' ); ?>

	</div>

	<?php do_action( 'tmcore_woocommerce_widget_product_item_end' ); ?>
	
</li>
