/**
 * Init modal
 */
!function(e,o){"object"==typeof exports&&"undefined"!=typeof module?module.exports=o():"function"==typeof define&&define.amd?define(o):e.MicroModal=o()}(this,function(){"use strict";var e="0.3.2",w=function(e,o){if(!(e instanceof o))throw new TypeError("Cannot call a class as a function")},o=function(){function n(e,o){for(var t=0;t<o.length;t++){var n=o[t];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,n.key,n)}}return function(e,o,t){return o&&n(e.prototype,o),t&&n(e,t),e}}(),M=function(e){if(Array.isArray(e)){for(var o=0,t=Array(e.length);o<e.length;o++)t[o]=e[o];return t}return Array.from(e)},t,n,c,i,s,a,r,l,d,u,f;return n=["a[href]","area[href]",'input:not([disabled]):not([type="hidden"]):not([aria-hidden])',"select:not([disabled]):not([aria-hidden])","textarea:not([disabled]):not([aria-hidden])","button:not([disabled]):not([aria-hidden])","iframe","object","embed","[contenteditable]",'[tabindex]:not([tabindex^="-"])'],c=function(){function k(e){var o=e.targetModal,t=e.triggers,n=void 0===t?[]:t,i=e.onShow,a=void 0===i?function(){}:i,r=e.onClose,c=void 0===r?function(){}:r,s=e.openTrigger,l=void 0===s?"data-micromodal-trigger":s,d=e.closeTrigger,u=void 0===d?"data-micromodal-close":d,f=e.disableScroll,h=void 0!==f&&f,m=e.disableFocus,g=void 0!==m&&m,v=e.awaitCloseAnimation,p=void 0!==v&&v,b=e.debugMode,y=void 0!==b&&b;w(this,k),
// Save a reference of the modal
this.modal=document.getElementById(o),
// Save a reference to the passed config
this.config={debugMode:y,disableScroll:h,openTrigger:l,closeTrigger:u,onShow:a,onClose:c,awaitCloseAnimation:p,disableFocus:g},0<n.length&&this.registerTriggers.apply(this,M(n)),
// prebind functions for event listeners
this.onClick=this.onClick.bind(this),this.onKeydown=this.onKeydown.bind(this)}
/**
     * Loops through all openTriggers and binds click event
     * @param  {array} triggers [Array of node elements]
     * @return {void}
     */return o(k,[{key:"registerTriggers",value:function e(){for(var o=this,t=arguments.length,n=Array(t),i=0;i<t;i++)n[i]=arguments[i];n.forEach(function(e){e.addEventListener("click",function(){return o.showModal()})})}},{key:"showModal",value:function e(){this.activeElement=document.activeElement,this.modal.setAttribute("aria-hidden","false"),this.modal.classList.add("is-open"),this.setFocusToFirstNode(),this.scrollBehaviour("disable"),this.addEventListeners(),this.config.onShow(this.modal)}},{key:"closeModal",value:function e(){var o=this.modal;this.modal.setAttribute("aria-hidden","true"),this.removeEventListeners(),this.scrollBehaviour("enable"),this.activeElement.focus(),this.config.onClose(this.modal),this.config.awaitCloseAnimation?this.modal.addEventListener("animationend",function e(){o.classList.remove("is-open"),o.removeEventListener("animationend",e,!1)},!1):o.classList.remove("is-open")}},{key:"closeModalById",value:function e(o){this.modal=document.getElementById(o),this.modal&&this.closeModal()}},{key:"scrollBehaviour",value:function e(o){if(this.config.disableScroll){var t=document.querySelector("body");switch(o){case"enable":Object.assign(t.style,{overflow:"",height:""});break;case"disable":Object.assign(t.style,{overflow:"hidden",height:"100vh"});break;default:}}}},{key:"addEventListeners",value:function e(){this.modal.addEventListener("touchstart",this.onClick),this.modal.addEventListener("click",this.onClick),document.addEventListener("keydown",this.onKeydown)}},{key:"removeEventListeners",value:function e(){this.modal.removeEventListener("touchstart",this.onClick),this.modal.removeEventListener("click",this.onClick),document.removeEventListener("keydown",this.onKeydown)}},{key:"onClick",value:function e(o){o.target.hasAttribute(this.config.closeTrigger)&&(this.closeModal(),o.preventDefault())}},{key:"onKeydown",value:function e(o){27===o.keyCode&&this.closeModal(o),9===o.keyCode&&this.maintainFocus(o)}},{key:"getFocusableNodes",value:function e(){var o=this.modal.querySelectorAll(n);return Object.keys(o).map(function(e){return o[e]})}},{key:"setFocusToFirstNode",value:function e(){if(!this.config.disableFocus){var o=this.getFocusableNodes();o.length&&o[0].focus()}}},{key:"maintainFocus",value:function e(o){var t=this.getFocusableNodes();
// if disableFocus is true
if(this.modal.contains(document.activeElement)){var n=t.indexOf(document.activeElement);o.shiftKey&&0===n&&(t[t.length-1].focus(),o.preventDefault()),o.shiftKey||n!==t.length-1||(t[0].focus(),o.preventDefault())}else t[0].focus()}}]),k}(),i=null,s=function e(o,t){var n=[];return o.forEach(function(e){var o=e.attributes[t].value;void 0===n[o]&&(n[o]=[]),n[o].push(e)}),n},a=function e(o){if(!document.getElementById(o))return console.warn("MicroModal v0.3.2: ❗Seems like you have missed %c'"+o+"'","background-color: #f8f9fa;color: #50596c;font-weight: bold;","ID somewhere in your code. Refer example below to resolve it."),console.warn("%cExample:","background-color: #f8f9fa;color: #50596c;font-weight: bold;",'<div class="modal" id="'+o+'"></div>'),!1},r=function e(o){if(o.length<=0)return console.warn("MicroModal v0.3.2: ❗Please specify at least one %c'micromodal-trigger'","background-color: #f8f9fa;color: #50596c;font-weight: bold;","data attribute."),console.warn("%cExample:","background-color: #f8f9fa;color: #50596c;font-weight: bold;",'<a href="#" data-micromodal-trigger="my-modal"></a>'),!1},l=function e(o,t){if(r(o),!t)return!0;for(var n in t)a(n);return!0},{init:function e(o){
// Create an config object with default openTrigger
var t=Object.assign({},{openTrigger:"data-micromodal-trigger"},o),n=[].concat(M(document.querySelectorAll("["+t.openTrigger+"]"))),i=s(n,t.openTrigger);
// Collects all the nodes with the trigger
// Checks if modals and triggers exist in dom
if(!0!==t.debugMode||!1!==l(n,i))
// For every target modal creates a new instance
for(var a in i){var r=i[a];t.targetModal=a,t.triggers=[].concat(M(r)),new c(t)}},show:function e(o,t){var n=t||{};n.targetModal=o,
// Checks if modals and triggers exist in dom
!0===n.debugMode&&!1===a(o)||// eslint-disable-line no-new
(
// stores reference to active modal
i=new c(n)).showModal()},close:function e(o){o?i.closeModalById(o):i.closeModal()}}}),MicroModal.init({closeTrigger:"data-modal-close",disableScroll:!0,disableFocus:!1,awaitCloseAnimation:!0,debugMode:!1}),
/* global wc_checkout_params */
jQuery(function(t){
// wc_checkout_params is required to continue, ensure the object exists
if("undefined"==typeof wc_checkout_params)return!1;var e;({init:function(){t(document.body).on("click",".coupon-modal-link",this.show_coupon_form),t(document.body).on("click",".bt-coupon-modal-close",this.hide_coupon_form),t("#bt-coupon-modal-overlay").click(function(e){"bt-coupon-modal-overlay"==e.target.id&&MicroModal.close("base-coupon-modal")}),t("form.bt_checkout_coupon").submit(this.submit)},show_coupon_form:function(){return MicroModal.show("base-coupon-modal"),t(".bt_checkout_coupon").find(":input:eq(0)").focus(),!1},hide_coupon_form:function(){return MicroModal.close("base-coupon-modal"),!1},submit:function(){var o=t(this);if(o.is(".processing"))return!1;o.addClass("processing").block({message:null,overlayCSS:{background:"#fff",opacity:.6}});var e={security:wc_checkout_params.apply_coupon_nonce,coupon_code:o.find('input[name="coupon_code"]').val()};return t.ajax({type:"POST",url:wc_checkout_params.wc_ajax_url.toString().replace("%%endpoint%%","apply_coupon"),data:e,success:function(e){t(".woocommerce-error, .woocommerce-message").remove(),o.removeClass("processing").unblock(),e?(o.before(e),t(document.body).trigger("update_checkout",{update_shipping_method:!1}),e.includes("woocommerce-message")&&setTimeout(function(){MicroModal.close("base-coupon-modal")},2e3)):MicroModal.close("base-coupon-modal")},dataType:"html"}),!1}}).init()});