<?php
/**
 * Default Options Array
 *
 * @package TemplateMela Plugin
 * @since 1.0
 */

$default_options = array(
	'content_width' => array(
		'size' => 1230,
		'unit' => 'px',
	),
	// Sticky Header.
	'header_sticky'             => 'bottom',
	'mobile_header_sticky'             => 'main',
	'header_sticky_bottom_border'   => array(
		'tablet' => array(
			'width' => 0,
		),
	),
	'header_sticky_background'                => array(
		'tablet' => array(
			'color' => 'palette1',
		),
	),
	// Typography.
	'base_font' => array(
		'size' => array(
			'desktop' => 14,
		),
		'lineHeight' => array(
			'desktop' => 1.6,
		),
		'letterSpacing' => array(
			'desktop' => 0.3,
		),
		'spacingType' => 'px',
		'family' => 'Inter',
		'google' => true,
		'weight' => '400',
		'variant' => '400',
		'color' => 'palette4',
	),
	'heading_font' => array(
		'family' => 'inherit',
	),
	'h1_font' => array(
		'size' => array(
			'mobile' => 20,
			'tablet' => 24,
			'desktop' => 32,
		),
		'lineHeight' => array(
			'desktop' => 1.6,
		),
		'google' => true,
		'weight' => '500',
		'variant' => '500',
		'color' => 'palette3',
	),
	'h2_font' => array(
		'size' => array(
			'mobile' => 16,
			'tablet' => 20,
			'desktop' => 24,
		),
		'lineHeight' => array(
			'desktop' => 1.5,
		),
		'google' => true,
		'weight' => '400',
		'variant' => '400',
		'color' => 'palette3',
	),
	'h3_font' => array(
		'size' => array(
			'mobile' => 18,
			'tablet' => 20,
			'desktop' => 22,
		),
		'lineHeight' => array(
			'tablet' => 1.5,
			'desktop' => 1.6,
		),
		'google' => true,
		'weight' => '600',
		'variant' => '600',
		'color' => 'palette3',
	),
	'h4_font' => array(
		'size' => array(
			'desktop' => 22,
			'tablet' => 20,
			'mobile' => 18,
		),
		'lineHeight' => array(
			'desktop' => 1.5,
		),
		'family'  => 'inherit',
		'google'  => true,
		'weight'  => '500',
		'variant' => '500',
		'color'   => 'palette4',
	),
	'h5_font' => array(
		'size' => array(
			'tablet' => 14,
			'desktop' => 16,
		),
		'lineHeight' => array(
			'desktop' => 1.5,
		),
		'google' => true,
		'weight' => '500',
		'variant' => '500',
		'color' => 'palette3',
	),
	'h6_font' => array(
		'size' => array(
			'desktop' => 18,
			'mobile' => 16,
		),
		'lineHeight' => array(
			'desktop' => 1.5,
		),
		'family'  => 'inherit',
		'google'  => true,
		'weight'  => '500',
		'variant' => '500',
		'color'   => 'palette3',
	),
	'title_above_font' => array(
		'size' => array(
			'mobile' => 20,
			'tablet' => 24,
			'desktop' => 32,
		),
		'lineHeight' => array(
			'desktop' => 1.6,
		),
		'google' => true,
		'weight' => '500',
		'variant' => '500',
		'color' => 'palette3',
	),
	'title_above_breadcrumb_font' => array(
		'color'   => 'palette4',
	),
	//scroll up
	'scroll_up_color'                     => array(
		'color'  => 'palette1',
		'hover'  => 'palette3',
	),
	'scroll_up_border_colors'         => array(
		'color'  => 'palette1',
		'hover'  => 'palette9',
	),
	// Buttons.
	'buttons_color' => array(
		'color' => 'palette3',
		'hover' => 'palette9',
	),
	'buttons_typography' => array(
		'size' => array(
			'desktop' => 14,
		),
		'lineHeight' => array(
			'desktop' => 1.75,
		),
		'transform' => 'capitalize',
		'google' => true,
		'weight' => '500',
		'variant' => '500',
	),
	'buttons_padding' => array(
		'size' => array(
			'mobile' => array( 5, 10, 5, 10 ),
			'desktop' => array( 7, 15, 7, 15 ),
		),
	),
	// Header.
	'header_desktop_items' => array(
		'top' => array(
			'top_left' => array( 'html' ),
			'top_right' => array( 'navigation-2' ),
		),
		'main' => array(
			'main_left' => array( 'logo'),
			'main_center' => array('search-advanced' ),
			'main_right' => array('account','wishlist','cart'),
		),
		'bottom' => array(
			'bottom_left' => array( 'vertical-menu','navigation' ),
			'bottom_right' => array('toggle-widget'),
		),
	),
	// Mobile Header.
	'header_mobile_items' => array(
		'popup' => array(
			'popup_content' => array( 'mobile-navigation', 'mobile-nav2' ),
		),
		'top' => array(
			'top_center' => array('mobile-html'),
		),
		'main' => array(
			'main_left' => array( 'popup-toggle', 'mobile-logo' ),
			'main_right' => array( 'account', 'search', 'cart' ),
		),
		'bottom' => array(
			'bottom_left' => array(),
		),
	),
	//logo
	'logo_layout' => array(
		'include' => array(
			'mobile' => 'logo',
			'tablet' => 'logo',
			'desktop' => 'logo_only',
		),
	),
	// Header Top.
	'header_top_height' => array(
		'size' => array(
			'tablet' => 30,
			'desktop' => 44,
		),
	),
	'header_top_background' => array(
		'desktop' => array(
			'color' => 'palette9',
		),
	),
	// Header Main.
	'header_main_height' => array(
		'size' => array(
			'mobile' => 60,
			'tablet' => 75,
			'desktop' => 90,
		),
	),
	'header_main_background' => array(
		'desktop' => array(
			'color' => 'palette1',
		),
	),
	'header_main_bottom_border' => array(
		'desktop' => array(
			'width' => 0,
		),
	),
	// Header Bottom.
	'header_bottom_height' => array(
		'size' => array(
			'desktop' => 54,
		),
	),
	'header_bottom_background' => array(
		'desktop' => array(
			'color' => 'palette9',
		),
	),
	'header_bottom_bottom_border' => array(
		'desktop' => array(
			'width' => 1,
			'unit' => 'px',
			'style' => 'solid',
			'color' => 'var(--global-gray-400)',
		),
	),
	// Header HTML.
	'header_html_wpautop' => false,
	'header_html_content' => __( 'Free Shipping On All Order Over $100 Code : GET20OFF', 'templatemela-plugin-kartpul' ),
	'header_html_typography' => array(
		'color' => 'palette4',
	),
	// mobile header html.
	'mobile_html_wpautop' => false,
	'mobile_html_typography' => array(
		'color'   => 'palette4',
	),
	//navigation
	'primary_navigation_color' => array(
		'color' => 'palette3',
		'hover' => 'palette6',
		'active' => 'palette6',
	),
	'primary_navigation_spacing' => array(
		'size' => 30,
		'unit' => 'px',
	),
	'primary_navigation_vertical_spacing' => array(
		'size' =>15,
		'unit' => 'px',
	),
	// Secondary Navigation.
	'secondary_navigation_color' => array(
		'color' => 'palette4',
		'hover' => 'palette6',
		'active' => 'palette6',
	),
	'secondary_navigation_spacing' => array(
		'size' => 34,
		'unit' => 'px',
	),
	//dropdown
	'dropdown_navigation_color'              => array(
		'color'  => 'palette3',
		'hover'  => 'palette6',
		'active' => 'palette6',
	),
	// Header Cart.
	'header_cart_icon' => 'shopping-cart',
	'header_cart_icon_size' => array(
		'size' => 26,
		'unit' => 'px',
	),
	'header_cart_color' => array(
		'color' => '#222222',
	),
	'header_cart_total_background' => array(
		'color' => '#222222',
	),
	'header_cart_total_color' => array(
		'color' => '#fff',
	),
	// Header Search.
	'header_search_icon_size' => array(
		'size' => array(
			'tablet' => 25,
		),
		'unit' => array(
			'mobile' => 'px',
			'tablet' => 'px',
		),
	),
	'header_search_color' => array(
		'color' => '#222222',
	),
	//mobile trigger
	'mobile_trigger_color' => array(
		'color' => '#222222',
	),
	'mobile_trigger_icon_size' => array(
		'size' => 22,
		'unit' => 'px',
	),
	// Footer.
	'footer_items' => array(
		'top' => array(
			'top_1' => array( 'footer-widget8'),
			'top_2' => array( 'footer-social'),
		),
		'middle' => array(
			'middle_1' => array( 'footer-widget1' ),
			'middle_2' => array( 'footer-widget2' ),
			'middle_3' => array( 'footer-widget3' ),
			'middle_4' => array( 'footer-widget4' ),
			'middle_5' => array( 'footer-widget5' ),
		),
		'bottom' => array(
			'bottom_1' => array( 'footer-html' ),
			'bottom_2' => array( 'footer-widget6' ),
		),
	),
	'footer_wrap_background' => array(
		'desktop' => array(
			'color' => 'palette3',
		),
	),
	// Footer Social.
	'footer_social_items' => array(
		'items' => array(
			array(
				'id' => 'facebook',
				'enabled' => true,
				'source' => 'icon',
				'url' => '',
				'imageid' => '',
				'width' => 24,
				'icon' => 'facebookAlt2',
				'label' => __( 'Facebook', 'templatemela-plugin-kartpul' ),
			),			
			array(
				'id' => 'instagram',
				'enabled' => true,
				'source' => 'icon',
				'url' => '',
				'imageid' => '',
				'width' => 24,
				'icon' => 'instagramAlt',
				'label' => __( 'Instagram', 'templatemela-plugin-kartpul' ),
			),
			array(
				'id' => 'twitter',
				'enabled' => true,
				'source' => 'icon',
				'url' => '',
				'imageid' => '',
				'width' => 24,
				'icon' => 'twitter',
				'label' => __( 'Twitter', 'templatemela-plugin-kartpul' ),
			),
			array(
				'id' => 'tiktok',
				'enabled' => true,
				'source' => 'icon',
				'url' => '',
				'imageid' => '',
				'width' => 24,
				'icon' => 'tiktok',
				'label' => __( 'tiktok', 'templatemela-plugin-kartpul' ),
			),
			array(
				'id' => 'pinterest',
				'enabled' => true,
				'source' => 'icon',
				'url' => '',
				'imageid' => '',
				'width' => 24,
				'icon' => 'pinterestAlt',
				'label' => __( 'pinterest', 'templatemela-plugin-kartpul' ),
			),
		),
	),
	'footer_social_icon_size' => array(
		'size' => 16,
		'unit' => 'px',
	),
	'footer_social_color' => array(
		'color' => 'palette3',
	),
	'footer_social_align' => array(
		'tablet' => 'center',
		'desktop' => 'right',
	),
	'footer_social_vertical_align' => array(
		'desktop' => 'middle',
	),
	// footer top
	'footer_top_layout' => array(
		'mobile' => 'row',
		'desktop' => 'left-golden',
	),
	'footer_top_direction' => array(
		'tablet' => 'column',
		'desktop' => 'row',
	),
	'footer_top_columns' => '2',
	'footer_top_column_spacing' => array(
		'size' => array(
			'tablet'  => 15,
		),
	),
	'footer_top_background' => array(
		'desktop' => array(
			'color' => 'palette1',
		),
	),
	'footer_top_top_border' => array(
		'desktop' => array(
			'width' => 0,
		),
	),
	'footer_top_top_spacing' => array(
		'size' => array(
			'mobile'  => 20,
			'desktop' => 30,
		),
	),
	'footer_top_bottom_spacing' => array(
		'size' => array(
			'mobile'  => 10,
			'desktop' => 30,
		),
	),
	'footer_top_widget_title' => array(
		'size' => array(
			'mobile' => 20,
			'desktop' => 22,
		),
		'lineHeight' => array(
			'mobile' => 1.2,
			'desktop' => 1.3,
		),
		'google' => true,
		'weight' => '600',
		'variant' => '600',
		'color' => '#222222',
	),
	// Footer Middle.
	'footer_middle_top_spacing' => array(
		'size' => array(
			'mobile' => 30,
			'tablet' => 50,
			'desktop' => 65,
		),
	),
	'footer_middle_bottom_spacing' => array(
		'size' => array(
			'mobile' => 30,
			'tablet' => 50,
			'desktop' => 70,
		),
	),
	'footer_middle_bottom_border' => array(
		'desktop' => array(
			'width' => 0,
		),
	),
	'footer_middle_columns' => '5',
	'footer_middle_widget_title' => array(
		'size' => array(
			'mobile' => 14,
			'desktop' => 16,
		),
		'lineHeight' => array(
			'desktop' => 1.6,
		),
		'google' => true,
		'weight' => '500',
		'variant' => '500',
		'color' => 'palette9',
	),
	'footer_middle_widget_content' => array(
		'lineHeight' => array(
			'desktop' => 1.7,
		),
		'google' => true,
		'color' => '#cccccc',
	),
	'footer_middle_link_colors' => array(
		'color' => '#cccccc',
		'hover' => 'palette1',
	),
	'footer_middle_link_style' => 'noline',
	//footer bottom
	'footer_bottom_columns' => '2',
	'footer_bottom_column_spacing' => array(
		'size' => array(
			'desktop' => 10,
		),
	),
	'footer_bottom_top_border' => array(
		'desktop' => array(
			'width' => 1,
			'unit' => 'px',
			'style' => 'solid',
			'color' => '#313131',
		),
	),
	'footer_bottom_link_style' => 'noline',
	// Footer Widget 8.
	'footer_widget8_align' => array(
		'tablet' => 'center',
		'desktop' => 'left',
	),
	'footer_widget8_vertical_align' => array(
		'desktop' => 'middle',
	),
	// Footer Widget 6.
	'footer_widget6_align' => array(
		'tablet' => 'center',
		'desktop' => 'right',
	),
	'footer_widget6_vertical_align' => array(
		'desktop' => 'middle',
	),
	// Footer Html
	'footer_html_typography' => array(
		'color' => '#cccccc',
	),
	'footer_html_link_color' => array(
		'color' => '#cccccc',
		'hover' => 'palette1',
	),
	'footer_html_align' => array(
		'tablet' => 'center',
	),	
	//page
	'page_title_height'       => array(
		'size' => array(
			'mobile'  => 80,
			'tablet'  => 100,
			'desktop' => 140,
		),
	),
	//post
	'post_title_height'       => array(
		'size' => array(
			'mobile'  => 80,
			'tablet'  => 100,
			'desktop' => 140,
		),
	),
	// post archive
	'post_archive_item_title_font' => array(
		'size' => array(
			'desktop' => 20,
			'mobile' => 18,
		),
		'lineHeight' => array(
			'desktop' => 1.4,
		),
		'lineType' => 'em',
		'weight' => '600',
		'variant' => '600',
	),
	//search
	'search_archive_title_height'       => array(
		'size' => array(
			'mobile'  => 80,
			'tablet'  => 100,
			'desktop' => 140,
		),
	),
	'search_archive_title_breadcrumb_color' => array(
		'color' => 'palette3',
		'hover' => 'palette6',
	),
	'product_archive_title_breadcrumb_color' => array(
		'color' => 'palette3',
		'hover' => 'palette6',
	),
	'product_title_breadcrumb_color' => array(
		'color' => 'palette3',
		'hover' => 'palette6',
	),
	'page_title_breadcrumb_color' => array(
		'color' => 'palette3',
		'hover' => 'palette6',
	),
	'post_title_breadcrumb_color' => array(
		'color' => 'palette3',
		'hover' => 'palette6',
	),
	'post_archive_title_breadcrumb_color' => array(
		'color' => 'palette3',
		'hover' => 'palette6',
	),
	// product archive
	'product_archive_title_height'       => array(
		'size' => array(
			'mobile'  => 80,
			'tablet'  => 100,
			'desktop' => 140,
		),
	),
	'product_archive_title_font' => array(
		'size' => array(
			'desktop' => 14,
		),
		'lineHeight' => array(
			'mobile' => 1.5,
			'desktop' => 1.6,
		),
		'lineType' => 'em',
		'google' => true,
		'color' => 'palette3',
	),
	'product_archive_price_font' => array(
		'size' => array(
			'mobile' => 13,
			'desktop' => 15,
		),
		'lineType' => 'em',
		'google' => true,		
		'weight' => '500',
		'variant' => '500',
		'color' => '#0066cc',
	),
	'product_archive_style' => 'action-visible',
	'product_archive_button_style' => 'button',
	// Archive Product Button.
	'product_archive_button_border_colors'              => array(
		'color' => 'palette1',
		'hover' => 'palette1',
	),
	'product_archive_button_border'              => array(
		'width' => 2,
		'unit'  => 'px',
		'style' => 'solid',
	),
	'product_archive_button_color'              => array(
		'color' => 'palette3',
		'hover' => '#000',
	),
	'product_archive_button_background'              => array(
		'color' => 'palette9',
		'hover' => 'palette1',
	),
	// Product Controls.
	'product_related_columns' => '5',
	'product_title_font' => array(
		'size' => array(
			'mobile' => 18,
			'desktop' => 20,
		),
		'lineHeight' => array(
			'desktop' => 1.2,
		),
		'google' => true,
		'weight' => '400',
		'variant' => '400',
		'color' => 'palette3',
	),
	// Sidebar.
	'sidebar_width' => array(
		'size' => 240,
		'unit' => 'px',
	),
	'sidebar_widget_title' => array(
		'size' => array(
			'mobile' => 16,
			'desktop' => 18,
		),
		'google' => true,
		'weight' => '500',
		'variant' => '500',
		'color' => 'palette3',
	),
	'sidebar_link_style' => 'plain',	
);
$header_addons = array(
	//header account
	'header_account_in_icon_size' => array(
		'size' => 22,
		'unit' => 'px',
	),
	'header_account_in_color' => array(
		'color' => '#222222',
	),
	'header_account_icon_size' => array(
		'size' => 22,
		'unit' => 'px',
	),
	'header_account_color' => array(
		'color' => '#222222',
	),
	// Widget Toggle.
	'header_toggle_widget_label' => 'Top Offers!',
	'header_toggle_widget_icon' => 'menu3',
	'header_toggle_widget_typography' => array(
		'size' => array(
			'desktop' => 14,
		),
		'family' => 'inherit',
		'google' => true,
		'weight' => '400',
		'variant' => '400',
	),
	'header_toggle_widget_color' => array(
		'color' => 'palette3',
		'hover' => 'palette6',
	),
	'header_toggle_widget_icon_size' => array(
		'size' => 27,
		'unit' => 'px',
	),
	'header_toggle_widget_pop_background' => array(
		'desktop' => array(
			'color' => 'palette9',
		),
	),
	'header_toggle_widget_padding' => array(
		'size'   => array( 0.4, 0, 0.4, 0.6 ),
		'unit'   => 'px',
		'locked' => false,
	),
	// Header toggle Widget Area.
	'header_widget2_link_colors'       => array(
		'color'  => 'palette3',
		'hover'  => 'palette6',
	),
	'header_widget2_title' => array(
		'size' => array(
			'desktop' => 20,
		),
		'lineHeight' => array(
			'desktop' => 1.5,
		),
		'family' => 'inherit',
		'google' => true,
		'weight' => '600',
		'variant' => '600',
		'color' => 'palette3',
	),
	'header_toggle_widget_close_color' => array(
		'color' => 'palette3',
		'hover' => 'palette6',
	),
	// Links.
	'link_color'                     => array(
		'highlight'      => 'palette2',
	),
);
$more_addons = array(
	// Vertical Navigation.
	'vertical_navigation_opened' => true,
	'vertical_heading_spacing' => array(
		'size' => 38,
		'unit' => 'px',
	),
	'vertical_heading_vertical_spacing' => array(
		'size' => 0.4,
		'unit' => 'em',
	),
	'vertical_navigation_color' => array(
		'color' => 'palette3',
		'hover' => 'palette6',
		'active' => 'palette6',
	),
	'vertical_navigation_border' => array(
		'width' => 2,
		'unit'  => 'px',
		'style' => 'solid',
		'color' => 'palette1',
	),
	'vertical_navigation_vertical_spacing' => array(
		'size' => 0.65,
		'unit' => 'em',
	),
	'vertical_heading_background' => array(
		'color' => 'palette9',
	),
	'vertical_navigation_item_border' => array(
		'width' => 1,
		'unit' => 'px',
		'style' => 'solid',
		'color' => 'var(--global-gray-400)',
	),
	// Header Search Advanced.
	'header_search_advanced_label' => __( 'Search', 'templatemela-plugin-kartpul' ),
	'header_search_advanced_width' => array(
		'size' => array(
			'desktop' => 615,
		),
	),
	'header_search_advanced_border_radius' => array(
		'size' => array( 5, 5, 5, 5 ),
	),
	'header_search_advanced_margin' => array(
		'size' => array( 0, 50, 0, 0 ),
	),
	'header_search_advanced_buttons_color' => array(
		'color' => 'palette9',
		'hover' => 'palette9',
	),
	'header_search_advanced_buttons_background' => array(
		'color' => 'palette3',
		'hover' => 'palette3',
	),
	'header_search_advanced_border' => array(
		'width' => 0,
		'unit' => 'px',
		'style' => 'solid',
	),
	'header_search_advanced_category_color' => array(
		'color' => 'palette3',
	),
	'header_search_advanced_button_radius' => array(
		'size' => array(0, 5, 5, 0 ),
	),
	'header_search_advanced_button_padding' => array(
		'size'   => array( 5, 20, 5, 20 ),
		'unit'   => 'px',
		'locked' => false,
	),
	//wishlist
	'header_wishlist_icon_size'   => array(
		'size' => array(
			'desktop' => 23,
		),
		'unit' => array(
			'desktop' => 'px',
		),
	),
	'header_wishlist_color'              => array(
		'color' => '#000',
		'hover' => '#000',
	),
	'header_wishlist_total_background' => array(
		'color' => '#222222',
	),
	'header_wishlist_total_color' => array(
		'color' => '#fff',
	),
);
$woo_addons = array(
	'product_archive_shop_filter_border_color'              => array(
		'color' => 'palette1',
		'hover' => 'palette1',
	),
	'product_filter_widget_title' => array(
		'size' => array(
			'mobile' => 16,
			'desktop' => 18,
		),
		'google' => true,
		'weight' => '500',
		'variant' => '500',
		'color' => 'palette3',
	), 
	'product_filter_widget_link_colors' => array(
		'color' => 'palette4',
		'hover' => 'palette1',
	),
	'product_archive_shop_filter_style'  => 'solid',
);
$dark_mode_addons = array();