<?php
/**
 * Default Options Array
 *
 * @package TemplateMela Theme
 * @since 1.0
 */

$default_options = array(
	'content_width' => array(
		'size' => 1480,
		'unit' => 'px',
	),
	// scroll up
	'scroll_up_icon'          => 'chevron-up',
	'scroll_up_padding' => array(
		'size'   => array( 
			'desktop' => array( 8, 8, 8, 8 ),
		),
		'unit'   => array(
			'desktop' => 'px',
		),
	),
	'scroll_up_icon_size'   => array(
		'size' => array(
			'mobile'  => 16,
			'desktop' =>  20,
		),
		'unit' => array(
			'mobile'  => 'px',
			'desktop' => 'px',
		),
	),
	'scroll_up_color'                     => array(
		'color'  => 'palette9',
		'hover'  => 'palette3',
	),
	'scroll_up_background'                     => array(
		'color'  => 'palette1',
		'hover'  => 'palette2',
	),
	'scroll_up_border_colors'         => array(
		'color'  => 'palette9',
		'hover'  => 'palette9',
	),
	// Typography.
	'base_font' => array(
		'size' => array(
			'desktop' => 14,
		),
		'lineHeight' => array(
			'mobile' => 1.5,
			'desktop' => 1.6,
		),
		'letterSpacing' => array(
			'desktop' => 0.3,
		),
		'spacingType' => 'px',
		'family' => 'Inter',
		'google' => true,
		'weight' => '400',
		'variant' => '400',
		'color' => 'palette4',
	),
	'heading_font' => array(
		'family' => 'inherit',
	),
	'h2_font' => array(
		'size' => array(
			'mobile' => 16,
			'tablet' => 18,
			'desktop' => 26,
		),
		'lineHeight' => array(
			'desktop' => 1.3,
		),
		'google' => true,
		'weight' => '500',
		'variant' => '500',
		'color' => 'palette3',
	),
	'h3_font' => array(
		'size' => array(
			'mobile' => 18,
			'desktop' => 22,
		),
		'lineHeight' => array(
			'desktop' => 1.6,
		),
		'google' => true,
		'weight' => '600',
		'variant' => '600',
		'color' => 'palette3',
	),
	'h6_font' => array(
		'size' => array(
			'tablet' => 14,
			'desktop' => 16,
		),
		'lineHeight' => array(
			'desktop' => 1.6,
		),
		'google' => true,
		'weight' => '500',
		'variant' => '500',
		'color' => 'palette3',
	),
	'title_above_breadcrumb_font' => array(
		'color'   => 'palette4',
	),
	'title_above_font' => array(
		'size' => array(
			'mobile' => 20,
			'tablet' => 24,
			'desktop' => 32,
		),
		'lineHeight' => array(
			'desktop' => 1.6,
		),
		'google' => true,
		'weight' => '500',
		'variant' => '500',
		'color' => 'palette3',
	),
	// Buttons.
	'buttons_color' => array(
		'color' => 'palette9',
		'hover' => 'palette3',
	),
	'buttons_border_radius' => array(
		'size' => array(
			'desktop' => '5',
		),
		'unit' => array(
			'desktop' => 'px',
		),
	),
	'buttons_typography' => array(
		'size' => array(
			'desktop' => 14,
		),
		'lineHeight' => array(
			'desktop' => 1.85,
		), 
		
		'family' => 'inherit',
		'google' => true,
		'weight' => '500',
		'variant' => '500',
	),
	'buttons_padding' => array(
		'size' => array(
			'mobile' => array( 7, 15, 7, 15 ),
			'desktop' => array( 8, 25, 8, 25 ),
		),
	),
	// Header.
	'header_desktop_items' => array(
		'top' => array(
			'top_left' => array( 'html' ),
			'top_right' => array( 'navigation-2' ),
		),
		'main' => array(
			'main_left' => array( 'logo' , 'search-advanced' ),
			'main_right' => array('account', 'wishlist' ,'cart'),
		),
		'bottom' => array(
			'bottom_left' => array( 'toggle-widget','navigation' ),
			'bottom_right' => array('html2'),
		),
	),
	// Mobile Header.
	'header_mobile_items' => array(
		'popup' => array(
			'popup_content' => array( 'mobile-navigation', 'mobile-nav2' ),
		),
		'top' => array(
			'top_center' => array(),
		),
		'main' => array(
			'main_left' => array( 'popup-toggle', 'mobile-logo' ),
			'main_right' => array( 'search', 'account',  'wishlist', 'cart' ),
		),
		'bottom' => array(
			'bottom_left' => array(),
		),
	),
	//logo
	'logo_layout' => array(
		'include' => array(
			'mobile' => 'logo',
			'tablet' => 'logo',
			'desktop' => 'logo_only',
		),
	),
	//mobile trigger
	'mobile_trigger_color' => array(
		'color' => 'palette9',
	),
	'mobile_trigger_icon_size' => array(
		'size' => 22,
		'unit' => 'px',
	),
	'header_sticky'             => 'bottom',
	'mobile_header_sticky'             => 'main',
	'header_sticky_background'                => array(
		'desktop' => array(
			'color' => 'palette9',
		),
		'tablet' => array(
			'color' => 'palette1',
		),
	),
	'header_sticky_bottom_border'   => array(
		'desktop' => array(
			'width' => 1,
			'unit'  => 'px',
			'style' => 'solid',
			'color'  => 'var(--global-gray-400)',
		),
		'tablet' => array(
			'width' => 0,
		),
	),
	// Header Top.
	'header_top_height' => array(
		'size' => array(
			'tablet' => 30,
			'desktop' => 50,
		),
	),
	'header_top_bottom_border' => array(
		'tablet' => array(
			'width' => 1,
			'unit' => 'px',
			'style' => 'solid',
			'color' => 'rgba(255,255,255,0.3)',
		),
	),
	'header_top_background' => array(
		'desktop' => array(
			'color' => 'palette1',
		),
	),
	// Header Main.
	'header_main_height' => array(
		'size' => array(
			'mobile' => 70,
			'tablet' => 80,
			'desktop' => 40,
		),
	),
	'header_main_padding' => array(
		'size' => array( 
			'tablet' => array( 0, 15, 0, 15 ),
			'desktop' => array( 0, 15, 20, 15 ),
		),
	),
	'header_main_background' => array(
		'desktop' => array(
			'color' => 'palette1',
		),
	),
	'header_main_bottom_border' => array(
		'desktop' => array(
			'width' => 0,
		),
	),
	//header bottom
	'header_bottom_background' => array(
		'desktop' => array(
			'color' => 'palette9',
		),
	),
	'header_bottom_height' => array(
		'size' => array(
			'desktop' => 0,
		),
	),
	// Header HTML.
	'header_html_wpautop' => false,
	'header_html_content' => __( 'Free Shipping On All Order Over $100 Code : NEW1', 'avanam' ),
	'header_html_typography' => array(
		'color' => 'palette9',
	),
	'header_html_margin' => array(
		'size' => array( 0, 0, 0, 20.5 ),
		'unit' => 'em',
		'locked' => false,
	),
	'mobile_html_typography' => array(
		'color' => 'palette9',
	),
	'mobile_html_wpautop' => false,
	//navigation
	'primary_navigation_color' => array(
		'color' => 'palette3',
		'hover' => 'palette1',
		'active' => 'palette1',
	),
	'primary_navigation_spacing' => array(
		'size' => 30,
		'unit' => 'px',
	),
	'primary_navigation_vertical_spacing' => array(
		'size' => 16,
		'unit' => 'px',
	),
	'secondary_navigation_color' => array(
		'color' => 'palette9',
	),
	'secondary_navigation_spacing' => array(
		'size' => 30,
		'unit' => 'px',
	),
	'secondary_navigation_vertical_spacing' => array(
		'size' => 0,
		'unit' => 'px',
	),
	'secondary_navigation_style' => 'fullheight',
	// Header Cart.
	'header_cart_icon' => 'shopping-cart',
	'header_cart_icon_size' => array(
		'size' => 26,
		'unit' => 'px',
	),
	'header_cart_color' => array(
		'color' => 'palette9',
	),
	'header_cart_total_background' => array(
		'color' => 'palette2',
	),
	'header_cart_total_color' => array(
		'color' => 'palette3',
	),
	// Header Search.
	'header_search_icon_size' => array(
		'size' => array(
			'mobile' => 23,
			'tablet' => 23,
		),
		'unit' => array(
			'mobile' => 'px',
			'tablet' => 'px',
		),
	),
	'header_search_color' => array(
		'color' => 'palette9',
	),
	// Product Archive Controls.
	'product_archive_style' => 'visible',
	'product_archive_button_style' => 'button',
	// 'product_archive_title_layout' => 'normal',
	'product_archive_title_font' => array(
		'size' => array(
			'desktop' => 14,
		),
		'lineHeight' => array(
			'desktop' => 1.5,
		),
		'lineType' => 'em',
		'google' => true,
		'weight' => '400',
		'variant' => '400',
		'color' => 'palette3',
	),
	//product
	'product_archive_price_font' => array(
		'size' => array(
			'desktop' => 14,
		),
		'google' => true,
		'weight' => '600',
		'variant' => '600',
		'color' => 'palette1',
	),
	'product_archive_button_color'              => array(
		'color'  => 'palette3',
		'hover'  => 'palette3',
	),
	'product_archive_button_background'              => array(
		'color'  => 'palette7',
		'hover'  => 'palette2',
	),
	'product_archive_title_height'       => array(
		'size' => array(
			'mobile' => 70,
			'tablet' => 100,
			'desktop' => 130,
		),
	),
	'product_archive_title_breadcrumb_color' => array(
		'color' => 'palette3',
		'hover' => 'palette1',
	),
	'product_title_breadcrumb_color' => array(
		'color' => 'palette3',
		'hover' => 'palette1',
	),
	'product_title_font' => array(
		'size' => array(
			'mobile' => 18,
			'tablet' => 22,
			'desktop' => 24,
		),
		'lineHeight' => array(
			'desktop' => 1.4,
		),
		'google' => true,
		'weight' => '500',
		'variant' => '500',
		'color' => 'palette3',
	),
	//page
	'page_title_height'       => array(
		'size' => array(
			'mobile' => 70,
			'tablet' => 100,
			'desktop' => 130,
		),
	),
	'page_title_breadcrumb_color' => array(
		'color' => 'palette3',
		'hover' => 'palette1',
	),
	//post
	'post_title_height'       => array(
		'size' => array(
			'desktop' => 130,
		),
	),
	'post_title_breadcrumb_color' => array(
		'color' => 'palette3',
		'hover' => 'palette1',
	),
	'post_title_font' => array(
		'size' => array(
			'mobile' => 18,
			'tablet' => 22,
			'desktop' => 26,
		),
		'lineHeight' => array(
			'desktop' => 1.4,
		),
		'lineType'=> 'em',
		'weight' => '600',
		'variant' => '600',
	),
	// post archive
	'post_archive_title_height' => array(
		'size' => array(
			'mobile' => 70,
			'tablet' => 100,
			'desktop' => 130,
		),
	),
	'post_archive_title_breadcrumb_color' => array(
		'color' => 'palette3',
		'hover' => 'palette1',
	),
	'post_archive_item_title_font' => array(
		'size' => array(
			'desktop' => 20,
			'tablet' => 18,
		),
		'lineHeight' => array(
			'desktop' => 1.4,
		),
		'weight' => '600',
		'variant' => '600',
	),
	//search
	'search_archive_title_height'       => array(
		'size' => array(
			'mobile' => 70,
			'tablet' => 100,
			'desktop' => 130,
		),
	),
	'search_archive_title_breadcrumb_color' => array(
		'color' => 'palette3',
		'hover' => 'palette1',
	),
	// //product
	// 'product_above_layout' => 'breadcrumbs',
	// //post archive
	// 'post_archive_title_layout' => 'normal',
	// //post
	// 'post_title_layout' => 'normal',
	//sidebar
	'sidebar_widget_title' => array(
		'size' => array(
			'desktop' => 18,
		),
		'lineHeight' => array(
			'desktop' => 1.3,
		),
		'google' => true,
		'weight' => '500',
		'variant' => '500',
		'color' => 'palette3',
	),
	'sidebar_link_colors' => array(
		'color' => 'palette4',
		'hover' => 'palette1',
	),
	'sidebar_link_style' => 'plain',
	// 'sidebar_widget_spacing' => array(
	// 	'size' => array(
	// 		'tablet' => 2,
	// 		'desktop' => 3,
	// 	),
	// 	'unit' => array(
	// 		'tablet' => 'em',
	// 		'desktop' => 'em',
	// 	),
	// ),
	'sidebar_width' => array(
		'size' => 270,
		'unit' => 'px',
	),
	// Footer.
	'footer_items' => array(
		'top' => array(
			'top_1' => array( 'footer-widget8'),
			'top_2' => array( 'footer-social'),
		),
		'middle' => array(
			'middle_1' => array( 'footer-widget1' ),
			'middle_2' => array( 'footer-widget2' ),
			'middle_3' => array( 'footer-widget3' ),
			'middle_4' => array( 'footer-widget4' ),
			'middle_5' => array( 'footer-widget5' ),
		),
		'bottom' => array(
			'bottom_1' => array( 'footer-html' ),
			'bottom_2' => array( 'footer-widget6' ),
		),
	),
	'footer_wrap_background' => array(
		'desktop' => array(
			'color' => 'palette1',
		),
	),
	// Footer Social.
	'footer_social_items' => array(
		'items' => array(
			array(
				'id' => 'facebook',
				'enabled' => true,
				'source' => 'icon',
				'url' => '',
				'imageid' => '',
				'width' => 24,
				'icon' => 'facebookAlt2',
				'label' => __( 'Facebook', 'templatemela-theme-kartpul' ),
			),			
			array(
				'id' => 'instagram',
				'enabled' => true,
				'source' => 'icon',
				'url' => '',
				'imageid' => '',
				'width' => 24,
				'icon' => 'instagramAlt',
				'label' => __( 'Instagram', 'templatemela-theme-kartpul' ),
			),
			array(
				'id' => 'twitter',
				'enabled' => true,
				'source' => 'icon',
				'url' => '',
				'imageid' => '',
				'width' => 24,
				'icon' => 'twitter',
				'label' => __( 'Twitter', 'templatemela-theme-kartpul' ),
			),
			array(
				'id' => 'pinterest',
				'enabled' => true,
				'source' => 'icon',
				'url' => '',
				'imageid' => '',
				'width' => 24,
				'icon' => 'pinterestAlt',
				'label' => __( 'Pinterest', 'templatemela-theme-kartpul' ),
			),
			array(
				'id' => 'tiktok',
				'enabled' => true,
				'source' => 'icon',
				'url' => '',
				'imageid' => '',
				'width' => 24,
				'icon' => 'tiktok',
				'label' => __( 'TikTok', 'templatemela-theme-kartpul' ),
			),
		),
	),
	'footer_social_icon_size' => array(
		'size' => 16,
		'unit' => 'px',
	),
	'footer_social_color' => array(
		'color' => 'palette9',
		'hover' => 'palette2',
	),
	'footer_social_align' => array(
		'desktop' => 'center',
	),
	'footer_social_vertical_align' => array(
		'desktop' => 'middle',
	),
	// footer top
	'footer_top_layout' => array(
		'mobile' => 'row',
		'desktop' => 'left-golden',
	),
	'footer_top_direction' => array(
		'tablet' => 'column',
		'desktop' => 'row',
	),
	'footer_top_columns' => '2',
	'footer_top_bottom_border' => array(
		'desktop' => array(
			'width' => 1,
			'unit' => 'px',
			'style' => 'solid',
			'color' => 'rgba(255,255,255,0.3)',
		),
	),
	'footer_top_column_spacing' => array(
		'size' => array(
			'tablet' => 15,
		),
	),
	'footer_top_top_spacing' => array(
		'size' => array(
			'mobile' => 20,
			'desktop' => 30,
		),
	),
	'footer_top_bottom_spacing' => array(
		'size' => array(
			'mobile' => 10,
			'desktop' => 30,
		),
	),
	'footer_top_widget_title' => array(
		'size' => array(
			'mobile' => 18,
			'desktop' => 22,
		),
		'lineHeight' => array(
			'desktop' => 1.3,
		),
		'family' => 'inherit',
		'google' => true,
		'weight' => '600',
		'variant' => '600',
		'color' => 'palette9',
	),
	// Footer Middle.
	'footer_middle_top_spacing' => array(
		'size' => array(
			'mobile' => 30,
			'tablet' => 50,
			'desktop' => 65,
		),
	),
	'footer_middle_bottom_spacing' => array(
		'size' => array(
			'mobile' => 30,
			'tablet' => 50,
			'desktop' => 70,
		),
	),
	'footer_middle_bottom_border' => array(
		'desktop' => array(
			'width' => 0,
		),
	),
	'footer_middle_columns' => '5',
	'footer_middle_widget_title' => array(
		'size' => array(
			'desktop' => 16,
		),
		'lineHeight' => array(
			'desktop' => 2.25,
		),
		'family' => 'inherit',
		'google' => true,
		'weight' => '500',
		'variant' => '500',
		'color' => 'palette9',
	),
	'footer_middle_widget_content' => array(
		'color' => 'palette9',
	),
	'footer_middle_link_colors' => array(
		'color' => 'palette9',
		'hover' => 'palette2'
	),
	'footer_middle_link_style' => 'noline',
	'footer_middle_column_spacing' => array(
		'size' => array(
			'mobile' => 30,
			'tablet' => 50,
			'desktop' => 30,
		),
	),
	// Footer Bottom.
	'footer_bottom_columns' => '2',
	'footer_bottom_column_spacing' => array(
		'size' => array(
			'desktop' => 10,
		),
	),
	'footer_bottom_top_border' => array(
		'desktop' => array(
			'width' => 1,
			'unit'  => 'px',
			'style' => 'solid',
			'color'  => 'rgba(255,255,255,0.3)',
		),
	),
	'footer_bottom_link_style' => 'noline',
	// Footer Widget 8.
	'footer_widget8_align' => array(
		'tablet' => 'center',
		'desktop' => 'left',
	),
	'footer_widget8_vertical_align' => array(
		'desktop' => 'middle',
	),
	// Footer Widget 6.
	'footer_widget6_align' => array(
		'tablet' => 'center',
		'desktop' => 'right',
	),
	'footer_widget6_vertical_align' => array(
		'desktop' => 'middle',
	),
	// Footer Html
	'footer_html_typography' => array(
		'color' => 'palette9',
	),
	'footer_html_link_color' => array(
		'color' => 'palette9',
		'hover' => 'palette2',
	),
	'footer_html_align' => array(
		'tablet' => 'center',
	),	
);
$header_addons = array(
	//header account
	'header_account_in_icon_size' => array(
		'size' => 25,
		'unit' => 'px',
	),
	'header_account_icon_size' => array(
		'size' => 25,
		'unit' => 'px',
	),
	'header_account_in_color' => array(
		'color' => 'palette9',
	),	
	'header_account_color' => array(
		'color' => 'palette9',
	),
	// Widget Toggle.
	'header_toggle_widget_label' => 'Shop By Category',
	'header_toggle_widget_color' => array(
		'color' => 'palette3',
		'hover' => 'palette1',
	),
	'header_toggle_widget_side' => 'left',
	'header_toggle_widget_pop_width' => array(
		'size' => 270,
		'unit' => 'px',
	),
	'header_toggle_widget_pop_background' => array(
		'desktop' => array(
			'color' => 'palette9',
		),
	),
	'header_toggle_widget_close_color' => array(
		'color' => 'palette3',
		'hover' => 'palette1',
	),
	// Header toggle Widget Area.
	'header_widget2_link_colors' => array(
		'color' => 'palette3',
		'hover' => 'palette1',
	),
	// Header HTML.
	'header_html2_content'    => __( '<img src="'.TMTHEME_URL.'layouts/default/img/offer-icon.svg"><a href="#">Offer Zone</a>', 'templatemela-theme-kartpul' ),
	'header_html2_wpautop' => false,
	'header_html2_link_color' => array(
		'color' => 'palette3',	
		'hover' => 'palette1',
	),
	'header_html2_link_style' => 'plain',
);
$more_addons = array(
	//header wishlist
	'header_wishlist_icon_size'   => array(
		'size' => array(
			'tablet' => '23',
			'desktop' => '23',
		),
		'unit' => array(
			'desktop' => 'px',
		),
	),
	'header_wishlist_color'              => array(
		'color' => 'palette9',
	),
	'header_wishlist_total_color'              => array(
		'color' => 'palette3',
	),
	'header_wishlist_total_background'              => array(
		'color' => 'palette2',
	),
	// header Search Advanced.
	'header_search_advanced_label' => 'Search',
	'header_search_advanced_width' => array(
		'size' => array(
			'desktop' => 570,
		),
		'unit' => array(
			'desktop' => 'px',
		),
	),
	'header_search_advanced_border_radius' => array(
		'size' => array( 5, 5, 5, 5 ),
	),
	'header_search_advanced_margin' => array(
		'size' => array( 0, 0, 0, 90 ),
	),
	'header_search_advanced_typography' => array(
		'size' => array(
			'desktop' => 14,
		),
		'lineHeight' => array(
			'desktop' => 1.4,
		),
		'google' => true,
		'color' => 'palette6',
	),
	'header_search_advanced_color' => array(
		'color' => 'palette3',
	),
	'header_search_advanced_buttons_color' => array(
		'color' => 'palette3',
		'hover' => 'palette3',
	),
	'header_search_advanced_border' => array(
		'width' => 0,
		'unit' => 'px',
		'style' => 'solid',
	),
	'header_search_advanced_category_typography' => array(
		'size' => array(
			'desktop' => 14,
		),
		'google' => true,
	),
	'header_search_advanced_category_color' => array(
		'color' => 'palette3',
	),
	'header_search_advanced_buttons_background' => array(
		'color' => 'palette2',
		'hover' => 'palette2',
	),
	'header_search_advanced_button_radius' => array(
		'size' => array( 0, 5, 5, 0 ),
	),
	'header_search_advanced_button_padding' => array(
		'size'   => array( 10,20,10,20 ),
		'unit'   => 'px',
		'locked' => true,
	),
);
$woo_addons = array(
	'product_filter_widget_link_colors' => array(
		'color' => 'palette4',
		'hover' => 'palette1',
	),
	'product_filter_widget_title' => array(
		'size' => array(
			'desktop' => 16,
		),
		'lineHeight' => array(
			'desktop' => 1.5,
		),
		'family' => 'inherit',
		'google' => true,
		'weight' => '500',
		'variant' => '500',
		'color' => 'palette3',
	),
);
$dark_mode_addons = array(
	'dark_mode_custom_logo'        => true,
);