<?php
/**
 * Default Options Array
 *
 * @package TemplateMela plugin
 * @since 1.0
 */
$default_options = array(
	'content_width' => array(
		'size' => 1230,
		'unit' => 'px',
	),
	// Logo
	'logo_layout'     => array(
		'include' => array(
			'mobile'  => 'logo_only',
			'tablet'  => 'logo_only',
			'desktop' => 'logo_only',
		),
	),
	// Typography.
	'base_font' => array(
		'size' => array(
			'desktop' => 15,
			'mobile' => 14,
		),
		'lineHeight' => array(
			'desktop' => 1.6,
		),
		'letterSpacing' => array(
			'desktop' => 0.5,
		),
		'spacingType'=> 'px',
		'family'  => 'Roboto',
		'google'  => true,
		'weight'  => '400',
		'variant' => '400',
		'color'   => 'palette4',
	),
	'h1_font' => array(
		'size' => array(
			'mobile' => 26,
			'desktop' => 32,
		),
		'lineHeight' => array(
			'mobile' => 1.3,
			'desktop' => 1.5,
		),
		'family'  => 'inherit',
		'google'  => true,
		'weight'  => '500',
		'variant' => '500',
		'color'   => 'palette3',
	),
	'h2_font' => array(
		'size' => array(
			'mobile' => 20,
			'desktop' => 26,
		),
		'lineHeight' => array(
			'desktop' => 1.5,
		),
		'family'  => 'inherit',
		'google'  => true,
		'weight'  => '500',
		'variant' => '500',
		'color'   => 'palette3',
	),
	'h3_font' => array(
		'size' => array(
			'mobile' => 20,
			'desktop' => 24,
		),
		'lineHeight' => array(
			'desktop' => 1.5,
		),
		'family'  => 'inherit',
		'google'  => true,
		'weight'  => '500',
		'variant' => '500',
		'color'   => 'palette3',
	),
	'h4_font' => array(
		'size' => array(
			'mobile' => 18,
			'desktop' => 22,
		),
		'lineHeight' => array(
			'mbile' => 1.4,
			'desktop' => 1.5,
		),
		'family'  => 'inherit',
		'google'  => true,
		'weight'  => '500',
		'variant' => '500',
		'color'   => 'palette3',
	),
	'h5_font' => array(
		'size' => array(
			'mobile' => 18,
			'desktop' => 20,
		),
		'lineHeight' => array(
			'mbile' => 1.4,
			'desktop' => 1.5,
		),
		'family'  => 'inherit',
		'google'  => true,
		'weight'  => '500',
		'variant' => '500',
		'color'   => 'palette3',
	),
	'h6_font' => array(
		'size' => array(
			'desktop' => 18,
		),
		'lineHeight' => array(
			'desktop' => 1.5,
		),
		'family'  => 'inherit',
		'google'  => true,
		'weight'  => '500',
		'variant' => '500',
		'color'   => 'palette3',
	),
	'title_above_font' => array(
		'size' => array(
			'mobile' => 20,
			'tablet' => 22,
			'desktop' => 30,
		),
		'lineHeight' => array(
			'tablet' => 1.3,
			'desktop' => 1.6,
		),
		'family'  => 'inherit',
		'google'  => true,
		'weight'  => '500',
		'variant' => '500',
		'color'   => 'palette3',
	),
	// Buttons.
	'buttons_border_radius' => array(
		'size' => array(
			'desktop' => 0,
		),
		'unit' => array(
			'desktop' => 'px',
		),
	),
	'buttons_typography'    => array(
		'size' => array(
			'desktop' => '14',
		),
		'lineHeight' => array(
			'desktop' => '2',
		),
		'family'  => 'inherit',
		'google'  => true,
		'weight'  => '400',
		'variant' => '400',
	),
	'buttons_padding'        => array(
		'size'   => array( 
			'desktop' => array( '7', '25', '7', '25' ),
			'mobile' => array( '5', '15', '5', '15' ),
		),
		'unit'   => array(
			'desktop' => 'px',
		),
		'locked' => array(
			'desktop' => false,
		),
	),
	// Header.
	'header_desktop_items'       => array(
		'top' => array(
			'top_left'         => array( 'html' ),
			'top_right'        => array( 'navigation-2' ),
		),
		'main' => array(
			'main_left'         => array( 'logo' ),
			'main_center'       => array( 'search-advanced' ),
			'main_right'        => array( 'account' ,'wishlist', 'cart' ),
		),
		'bottom' => array(
			'bottom_left'         => array( 'vertical-menu', 'navigation' ),
			'bottom_right'        => array( 'toggle-widget' ),
		),
	),
	// Mobile Header.
	'header_mobile_items' => array(
		'popup' => array(
			'popup_content' => array( 'mobile-navigation', 'mobile-nav2' ),
		),
		'top' => array(
			'top_center' => array( 'mobile-html' ),
		),
		'main' => array(
			'main_left'   => array( 'popup-toggle', 'mobile-logo' ),
			'main_center' => array(),
			'main_right'  => array( 'mobile-account', 'wishlist', 'mobile-cart' ),
		),
		'bottom' => array(
			'bottom_center' => array( 'search-advanced' ),
		),
	),
	//sticky heaer
	'header_sticky'             => 'bottom',
	'mobile_header_sticky'             => 'main',
	'header_sticky_background'                => array(
		'desktop' => array(
			'color' => '#222222',
		),
		'tablet' => array(
			'color' => 'palette9',
		),
	),
	'header_sticky_bottom_border'   => array(
		'desktop' => array(
			'width' => 0,
		),
	),
	// Header Top.
	'header_top_height'       => array(
		'size' => array(
			'desktop' => 40,
		),
		'unit' => array(
			'desktop' => 'px',
		),
	),
	'header_top_background'    => array(
		'desktop' => array(
			'color' => 'palette9',
		),
	),
	'header_top_bottom_border' => array(
		'desktop' => array(
			'width' => 1,
			'unit'  => 'px',
			'style' => 'solid',
			'color'  => 'var(--global-gray-400)',
		),
	),
	// Header Main.
	'header_main_height' => array(
		'size' => array(
			'tablet'  => 70,
			'desktop' => 105,
		),
		'unit' => array(
			'tablet'  => 'px',
			'desktop' => 'px',
		),
	),
	'header_main_bottom_border' => array(
		'desktop' => array(
			'width' => 0,
		),
	 ),
	 // Header Bottom.
	 'header_bottom_height'       => array(
		'size' => array(
			'tablet'  => 60,
			'desktop' => 51,
		),
		'unit' => array(
			'tablet'  => 'px',
			'desktop' => 'px',
		),
	),
	'header_bottom_background'    => array(
		'desktop' => array(
			'color' => 'palette2',
		),
	),
	// Header HTML.
	'header_html_content'    => __( 'New Offers This Weekend only to Get 10% Flate', 'templatemela-plugin-kartpul' ),
	'header_html_typography' => array(
		'color'   => 'palette4',
	),
	// Mobile Header HTML.
	'mobile_html_content'    => __( 'Free shipping on orders over $100!', 'templatemela-plugin-kartpul' ),
	'mobile_html_typography' => array(
		'color'   => 'palette4',
	),
	'mobile_html_wpautop' => false,
	// Secondary Navigation.
	'secondary_navigation_spacing'            => array(
		'size' => 30,
		'unit' => 'px',
	),
	'secondary_navigation_color'   => array(
		'color'  => 'palette4',
		'hover'  => 'palette1',
		'active' => 'palette4',
	),
	// Navigation.
	'primary_navigation_color'   => array(
		'color'  => '#ffffff',
		'hover'  => 'palette1',
		'active' => '#ffffff',
	),
	'primary_navigation_spacing'            => array(
		'size' => 30,
		'unit' => 'px',
	),
	// Mobile Trigger.
	'mobile_trigger_icon_size'   => array(
		'size' => 25,
		'unit' => 'px',
	),
	'mobile_trigger_color'              => array(
		'color' => 'palette3',
		'hover' => 'palette1',
	),
	// Header Cart.
	'header_cart_icon' => 'shopping-cart',
	'header_cart_icon_size'   => array(
		'size' => '27',
		'unit' => 'px',
	),
	'header_cart_color'              => array(
		'color' => 'palette3',
		'hover' => 'palette1',
	),
	'header_cart_total_color'              => array(
		'color' => 'palette9',
		'hover' => 'palette9',
	),
	'header_cart_total_background'              => array(
		'color' => 'palette1',
		'hover' => 'palette1',
	),
	// Mobile Header Cart.
	'header_mobile_cart_icon' => 'shopping-cart',
	'header_mobile_cart_icon_size'   => array(
		'size' => '27',
		'unit' => 'px',
	),
	'header_mobile_cart_color'              => array(
		'color' => 'palette3',
		'hover' => 'palette1',
	),
	'header_mobile_cart_total_color'              => array(
		'color' => 'palette9',
		'hover' => 'palette9',
	),
	'header_mobile_cart_total_background'              => array(
		'color' => 'palette1',
		'hover' => 'palette1',
	),
	// Footer.
	'footer_items' => array(
		'top' => array(
			'top_1' => array( 'footer-widget7'),
			'top_2' => array( 'footer-social'),
		),
		'middle' => array(
			'middle_1' => array( 'footer-widget1' ),
			'middle_2' => array( 'footer-widget2','footer-widget3','footer-widget4' ),
			'middle_3' => array( 'footer-widget5' ),
		),
		'bottom' => array(
			'bottom_1' => array( 'footer-html' ),
			'bottom_2' => array( 'footer-widget6' ),
		),
	),
	'footer_wrap_background' => array(
		'desktop' => array(
			'color' => 'rgb(18, 18, 18)',
		),
	),
	// footer top
	'footer_top_layout' => array(
		'mobile' => 'row',
		'desktop' => 'left-golden',
	),
	'footer_top_direction' => array(
		'tablet' => 'column',
		'desktop' => 'row',
	),
	'footer_top_columns' => '2',
	'footer_top_background' => array(
		'desktop' => array(
			'color' => 'palette1',
		),
	),
	'footer_top_widget_title' => array(
		'size' => array(
			'mobile' => 18,
			'desktop' => 22,
		),
		'lineHeight' => array(
			'desktop' => 1.3,
		),
		'google' => true,
		'weight' => '600',
		'variant' => '600',
		'color' => 'palette9',
	),
	'footer_top_column_spacing' => array(
		'size' => array(
			'tablet' => 10,
		),
	),
	'footer_top_bottom_spacing' => array(
		'size' => array(
			'tablet' => 20,
			'desktop' => 30,
		),
	),
	// Footer Middle.
	'footer_middle_column_spacing' => array(
		'size' => array(
			'mobile'  => '20',
			'tablet'  => '30',
			'desktop' => '30',
		),
		'unit' => array(
			'mobile'  => 'px',
			'tablet'  => 'px',
			'desktop' => 'px',
		),
	),
	'footer_middle_top_spacing' => array(
		'size' => array(
			'tablet' => 50,
			'desktop' => 65,
		),
	),
	'footer_middle_bottom_border' => array(
		'desktop' => array(
			'width' => 0,
		),
	),
	'footer_middle_bottom_spacing' => array(
		'size' => array(
			'tablet' => 50,
			'desktop' => 70,
		),
	),
	'footer_middle_columns' => '3',
	'footer_middle_widget_title' => array(
		'size' => array(
			'desktop' => 16,
		),
		'lineHeight' => array(
			'desktop' => 2.2,
		),
		'google' => true,
		'weight' => '500',
		'variant' => '500',
		'color' => '#ffffff',
	),
	'footer_middle_widget_content' => array(
		'color' => '#b8b8b8',
	),
	'footer_middle_link_colors' => array(
		'color' => '#b8b8b8',
	),
	'footer_middle_link_style' => 'noline',
	// Footer Bottom.
	'footer_bottom_top_border' => array(
		'desktop' => array(
			'width' => 1,
			'unit' => 'px',
			'style' => 'solid',
			'color' => '#292929',
		),
	),
	'footer_bottom_columns' => '2',
	'footer_bottom_column_spacing' => array(
		'size' => array(
			'desktop' => 10,
		),
	),
	'footer_bottom_link_style' => 'noline',
	// Footer Widget 7.
	'footer_widget7_align' => array(
		'tablet' => 'center',
		'desktop' => 'left',
	),
	'footer_widget7_vertical_align' => array(
		'desktop' => 'middle',
	),
	// Footer Widget 6.
	'footer_widget6_align' => array(
		'tablet' => 'center',
		'desktop' => 'right',
	),
	'footer_widget6_vertical_align' => array(
		'desktop' => 'middle',
	),
	// Footer Html
	'footer_html_typography' => array(
		'color' => '#b8b8b8',
	),
	'footer_html_link_color' => array(
		'color' => '#b8b8b8',
		'hover' => 'palette1',
	),
	'footer_html_align' => array(
		'tablet' => 'center',
	),
	// Footer Social.
	'footer_social_items' => array(
		'items' => array(
			array(
				'id'      => 'facebook',
				'enabled' => true,
				'source'  => 'icon',
				'url'     => '',
				'imageid' => '',
				'width'   => 24,
				'icon'    => 'facebookAlt2',
				'label'   =>  __( 'Facebook', 'templatemela-plugin-kartpul' ),
			),
			array(
				'id' => 'twitter',
				'enabled' => true,
				'source' => 'icon',
				'svg' => '',
				'imageid' => '',
				'width' => 12,
				'icon' => 'twitterAlt',
				'label' => __( 'X formerly Twitter', 'templatemela-plugon-kartpul' ),
			),
			array(
				'id' => 'instagram',
				'enabled' => true,
				'source' => 'icon',
				'url' => '',
				'imageid' => '',
				'width' => 24,
				'icon' => 'instagramAlt',
				'label' => __( 'Instagram', 'templatemela-plugin-kartpul' ),
			),
			array(
				'id' => 'pinterest',
				'enabled' => true,
				'source' => 'icon',
				'url' => '',
				'imageid' => '',
				'width' => 24,
				'icon' => 'pinterestAlt',
				'label' => __( 'pinterest', 'templatemela-plugin-kartpul' ),
			),
			array(
				'id' => 'tiktok',
				'enabled' => true,
				'source' => 'icon',
				'url' => '',
				'imageid' => '',
				'width' => 24,
				'icon' => 'tiktok',
				'label' => __( 'Tiktok', 'templatemela-plugin-kartpul' ),
			),
		),
	),
	'footer_social_icon_size' => array(
		'size' => 16,
		'unit' => 'px',
	),
	'footer_social_color' => array(
		'color' => 'palette9',
	),
	'footer_social_align' => array(
		'tablet' => 'center',
		'desktop' => 'right',
	),
	'footer_social_vertical_align' => array(
		'desktop' => 'middle',
	),
	// Product Archive Controls.
	'product_archive_button_style'       => 'button',
	'product_archive_style'  => 'visible',
	'product_archive_title_font'   => array(
		'size' => array(
			'mobile' => '14',
			'desktop' => '15',
		),
		'lineType' => 'em',
		'weight'  => '400',
		'variant' => '400',
		'color'   => 'palette4',
	),
	'product_archive_price_font'   => array(
		'size' => array(
			'desktop' => '15',
		),
		'lineType' => 'em',
		'weight'  => '700',
		'variant' => '700',
		'color'   => 'palette3',
	),
	'product_archive_button_color'              => array(
		'color' => 'palette3',
		'hover' => 'palette9',
	),
	'product_archive_button_background'              => array(
		'color' => 'palette7',
		'hover' => 'palette1',
	),
	'product_title_font'   => array(
		'size' => array(
			'desktop'  => 24,
			'tablet'  => 22,
			'mobile'  => 20,
		),
		'lineHeight' => array(
			'desktop' => 1.3,
		),
		'lineType' => 'em',
		'weight'  => '500',
		'variant' => '500',
	),
	// post
	'post_archive_item_title_font'   => array(
		'size' => array(
			'mobile' => 18,
			'tablet' => 20,
			'desktop' => 22,
		),
		'lineHeight' => array(
			'mobile' => 1.2,
			'desktop' => 1.3,
		),
		'lineType' => 'em',
	),
	// Sidebar.
	'sidebar_width' => array(
		'size' => 270,
		'unit' => 'px',
	),
	'sidebar_widget_title' => array(
		'size' => array(
			'desktop' => 18,
		),
		'lineHeight' => array(
			'desktop' => 1.5,
		),
		'family' => 'inherit',
		'google' => true,
		'weight' => '500',
		'variant' => '500',
		'color' => 'palette3',
	),
	'sidebar_link_style' => 'plain',
	// Breadcrumbs
	'product_archive_title_height'       => array(
		'size' => array(
			'mobile'  => 70,
			'tablet'  => 100,
			'desktop' => 130,
		),
	),
	'product_archive_title_breadcrumb_color' => array(
		'color' => 'palette3',
		'hover' => 'palette1',
	),
	'product_title_breadcrumb_color' => array(
		'color' => 'palette3',
		'hover' => 'palette1',
	),
	'page_title_height'       => array(
		'size' => array(
			'mobile'  => 70,
			'tablet'  => 100,
			'desktop' => 130,
		),
	),
	'page_title_breadcrumb_color' => array(
		'color' => 'palette3',
		'hover' => 'palette1',
	),
	'post_title_height'       => array(
		'size' => array(
			'mobile'  => 70,
			'tablet'  => 100,
			'desktop' => 130,
		),
	),
	'post_title_breadcrumb_color' => array(
		'color' => 'palette3',
		'hover' => 'palette1',
	),
	'post_archive_title_height'       => array(
		'size' => array(
			'mobile'  => 70,
			'tablet'  => 100,
			'desktop' => 130,
		),
	),
	'post_archive_title_breadcrumb_color' => array(
		'color' => 'palette3',
		'hover' => 'palette1',
	),
	'search_archive_title_height'       => array(
		'size' => array(
			'mobile'  => 70,
			'tablet'  => 100,
			'desktop' => 130,
		),
	),
	'search_archive_title_breadcrumb_color' => array(
		'color' => 'palette3',
		'hover' => 'palette1',
	),
);
$header_addons = array(
	//Header account in
	'header_account_in_icon_size'               => array(
		'size' => '25',
		'unit' => 'px',
	),
	'header_account_in_color' => array(
		'color' => 'palette3',
		'hover' => 'palette1',
	),
	//Header account out
	'header_account_icon_size'               => array(
		'size' => '25',
		'unit' => 'px',
	),
	'header_account_color' => array(
		'color' => 'palette3',
		'hover' => 'palette1',
	),
	//Header mobile account in
	'header_mobile_account_in_icon_size'               => array(
		'size' => '25',
		'unit' => 'px',
	),
	'header_mobile_account_in_color' => array(
		'color' => 'palette3',
		'hover' => 'palette1',
	),
	//Header mobile account out
	'header_mobile_account_icon_size'               => array(
		'size' => '25',
		'unit' => 'px',
	),
	'header_mobile_account_color' => array(
		'color' => 'palette3',
		'hover' => 'palette1',
	),
	// Widget Toggle.
	'header_toggle_widget_label' => 'Top Offers!',
	'header_toggle_widget_icon' => 'menu3',
	'header_toggle_widget_typography' => array(
		'size' => array(
			'desktop' => 15,
		),
		'family' => 'inherit',
		'google' => true,
		'weight' => '400',
		'variant' => '400',
	),
	'header_toggle_widget_color' => array(
		'color' => '#fff',
		'hover' => 'palette1',
	),
	'header_toggle_widget_icon_size' => array(
		'size' => 27,
		'unit' => 'px',
	),
	'header_toggle_widget_pop_background' => array(
		'desktop' => array(
			'color' => 'palette9',
		),
	),
	'header_widget2_title' => array(
		'size' => array(
			'desktop' => 20,
		),
		'lineHeight' => array(
			'desktop' => 1.5,
		),
		'family' => 'inherit',
		'google' => true,
		'weight' => '600',
		'variant' => '600',
		'color' => 'palette3',
	),
	'header_toggle_widget_close_color' => array(
		'color' => 'palette3',
		'hover' => 'palette1',
	),
	// Header toggle Widget Area.
	'header_widget2_link_colors'       => array(
		'color'  => 'palette4',
		'hover'  => 'palette1',
	),
);
$more_addons = array(
	// Vertical Navigation.
	'vertical_heading_color'            => array(
		'color'  => 'palette9',
		'hover'  => 'palette9',
		'active' => 'palette9',
	),
	'vertical_heading_background'       => array(
		'color'  => 'palette1',
		'hover'  => 'palette1',
		'active' => 'palette1',
	),
	'vertical_navigation_color'            => array(
		'color'  => 'palette4',
		'hover'  => 'palette1',
		'active' => 'palette4',
	),
	'vertical_navigation_background'       => array(
		'color'  => 'palette9',
		'hover'  => 'palette9',
		'active' => 'palette9',
	),
	'vertical_navigation_border' => array(
		'width' => 1,
		'unit'  => 'px',
		'style' => 'solid',
		'color' => 'palette1',
	),
	// Header Search Advanced.
	'header_search_advanced_label' => 'Search',
	'header_search_advanced_width' => array(
		'size' => array(
			'tablet'  => 520,
			'desktop' => 612,
		),
		'unit' => array(
			'mobile'  => 'px',
			'tablet'  => 'px',
			'desktop' => 'px',
		),
	),
	'header_search_advanced_border_color'       => array(
		'color'  => 'var(--global-gray-400)',
	),
	'header_search_advanced_border' => array(
		'width' => '1',
		'unit'  => 'px',
		'style' => 'solid',
	),
	'header_search_advanced_border_radius' => array(
		'size'   => array( '0', '0', '0', '0' ),
		'unit'   => 'px',
		'locked' => true,
	),
	'header_search_advanced_category_color' => array(
		'color'  => 'palette3',
		'hover'  => 'palette3',
	),
	'header_search_advanced_background'       => array(
		'color'  => 'palette9',
	),
	'header_search_advanced_color'       => array(
		'color'  => 'palette3',
		'hover'  => 'palette3',
	),
	'header_search_advanced_button_padding' => array(
		'size'   => array( '7', '20', '7', '20' ),
		'unit'   => 'px',
		'locked' => false,
	),
	// Header Wishlist.
	'header_wishlist_icon_size'   => array(
		'size' => array(
			'mobile'  => '',
			'tablet'  => '',
			'desktop' => '25',
		),
		'unit' => array(
			'mobile'  => 'px',
			'tablet'  => 'px',
			'desktop' => 'px',
		),
	),
	'header_wishlist_color'              => array(
		'color' => 'palette3',
		'hover' => 'palette1',
	),
	'header_wishlist_total_color'              => array(
		'color' => 'palette9',
		'hover' => 'palette9',
	),
	'header_wishlist_total_background'              => array(
		'color' => 'palette1',
		'hover' => 'palette1',
	),
);
$woo_addons = array(
	'product_filter_widget_title' => array(
		'size' => array(
			'desktop' => 18,
		),
		'lineHeight' => array(
			'desktop' => 1.5,
		),
		'transform' => 'capitalize',
		'weight' => '500',
		'variant' => '500',
		'color' => 'palette3',
		),
	'product_filter_widget_content' => array(
		'color' => 'palette3',
	),
	'product_filter_widget_link_colors' => array(
		'color' => 'palette4',
		'hover' => 'palette1',
	),
);
$dark_mode_addons = array(
	'dark_mode_custom_logo'        => true,
 );